summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-27 17:14:09 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-27 17:14:09 +0200
commite2dc50e08e9245e401ab5726f04706c825e9deaf (patch)
tree4f4d2567b934a8a89d2265a842b4d1c8696832b3
parentb59d27e35c220180c8e9717b98a39073ecc6a55e (diff)
Fixed some issues
-rwxr-xr-xbase-install.sh2
-rwxr-xr-xconfig.sh1
-rwxr-xr-xnginx.sh11
3 files changed, 13 insertions, 1 deletions
diff --git a/base-install.sh b/base-install.sh
index 9795813..4f554fc 100755
--- a/base-install.sh
+++ b/base-install.sh
@@ -27,7 +27,7 @@ fi
touch $OT_UI_CONF
# Pkgs
-packs="binutils build-essential git-core hostname libcurl4-openssl-dev libgsl0-dev libreadline5-dev libreadline-dev libssl-dev libxml2-dev libxslt1-dev lsb-release pwgen raptor-utils r-base r-base-dev sun-java6-jdk wget zlib1g-dev"
+packs="binutils build-essential git-core hostname libcurl4-openssl-dev libgsl0-dev libreadline5-dev libreadline-dev libssl-dev libxml2-dev libxslt1-dev lsb-release pwgen raptor-utils r-base r-base-core r-base-dev sun-java6-jdk wget zlib1g-dev"
echo
echo "Base Packages:"
diff --git a/config.sh b/config.sh
index 7fe4006..5a13b3a 100755
--- a/config.sh
+++ b/config.sh
@@ -30,6 +30,7 @@ WWW_DEST="$OT_PREFIX/www"
JAVA_CONF="$OT_PREFIX/.sh_java_ot"
RUBY_CONF="$OT_PREFIX/.sh_ruby_ot"
REDIS_CONF="$OT_PREFIX/.sh_redis_ot"
+NGINX_CONF="$OT_PREFIX/.sh_nginx_ot"
OB_CONF="$OT_PREFIX/.sh_OB_ot"
KL_CONF="$OT_PREFIX/.sh_R_ot"
diff --git a/nginx.sh b/nginx.sh
index 36a84df..6b10a5c 100755
--- a/nginx.sh
+++ b/nginx.sh
@@ -54,5 +54,16 @@ $GIT checkout nginx.conf>>$LOG 2>&1
cmd="sed -i -e \"s,PASSENGER,$passenger,;s,SERVERNAME,$servername,;s,RUBY_DEST,$RUBY_DEST,;s,NGINX_DEST,$NGINX_DEST,;s,WWW_DEST,$WWW_DEST,\" ./nginx.conf" && run_cmd "$cmd" "Config"
cmd="cp ./nginx.conf \"$NGINX_DEST/conf\"" && run_cmd "$cmd" "Copy"
+if [ ! -f $NGINX_CONF ]; then
+ echo "if ! echo \"\$PATH\" | grep \"$NGINX_DEST\">/dev/null 2>&1; then export PATH=$NGINX_DEST/sbin:\$PATH; fi" >> "$NGINX_CONF"
+ echo "Nginx configuration has been stored in '$NGINX_CONF'."
+
+ if ! grep ". \"$NGINX_CONF\"" $OT_UI_CONF; then
+ echo ". \"$NGINX_CONF\"" >> $OT_UI_CONF
+ fi
+
+fi
+
+
cd "$DIR"